#-----------------------------------------------------------------------------
#
# Check for presence of the eoe2.sw.bsdlpr software, and if it's there,
# check for patch 131
#

$file       = '/usr/bsd/lpr';
$md5{$file} = 'b2fa6812ed9d00d6503631358148676a';

&pcheck($file);
if ($versions{'eoe2.sw.bsdlpr'}) {
  if ((!$versions{"patchSG0000131"}) && (&getmd5($file) ne $md5{$file})) {
    &report("DANGER: $file vulnerability\n",
      "  To fix: get patch 131 from the TAC. 131 replaces patch 71\n\n");
    &failed;
    }
  else {
    &report("INFO:  You have an updated version of lpr installed.\n");
    &passed;
    }
  }
else {
  &report("INFO:  The lpr subsystem (eoe2.sw.bsdlpr) is not installed.\n");
  &passed;
  }

exit 0;

